Groovy 1.7.10

## groovy.jmx.builder
[Groovy] Class JmxClientConnectorFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxClientConnectorFactory

    class JmxClientConnectorFactory
    extends AbstractFactory

This is the factory for node JmxBuilder.connectorClient. A call to this node returns an insatnce of the JMXConnector interface.

    JmxBuilder.clientConnector (
        protocol:"rmi",
        host:"...",
        port:1099,
        url:"...",
     )

Authors:
  Vladimir Vivien

See Also:

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

Copyright © 2003-2010 The Codehaus. All rights reserved.